PPADD(3)

SYNOPSIS
SUBROUTINE PPADD (N, IERROR, A, C, CBP, BP, BH)

NAME
ppadd - Subsidiary to BLKTRI

LIBRARY
SLATEC

TYPE
SINGLE PRECISION (PPADD-S)

AUTHOR
(UNKNOWN)

DESCRIPTION
PPADD computes the eigenvalues of the periodic tridiagonal matrix with coefficients AN,BN,CN. N is the order of the BH and BP polynomials. BP contains the eigenvalues on output. CBP is the same as BP except type complex. BH is used to temporarily store the roots of the B HAT polynomial which enters through BP.

SEE ALSO
BLKTRI

ROUTINES CALLED
BSRH, PPSGF, PPSPF, PSGF

COMMON BLOCKS
CBLKT

REVISION HISTORY (YYMMDD)
801001 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900402 Added TYPE section. (WRB)